<div class="row" style="height: 100px;background-color: #014254">
  <h1 style="color: snow;font-size: 20px;margin-top: 35px;margin-left: 25px; "> จัดการรายการสมาชิก</h1>
</div>

<mat-form-field appearance="outline" style="width: 50%;">
    <input matInput (keyup)="applyFilter($event.target.value)" placeholder="ค้นหารายการ">
  </mat-form-field>
  
  
  <div class="mat-elevation-z8">
    <table mat-table [dataSource]="dataSource">
  
      <ng-container matColumnDef="a">
        <th mat-header-cell *matHeaderCellDef> ชื่อ - นามสกุล </th>
        <td mat-cell *matCellDef="let row" > {{row.fname}} &nbsp; {{row.lname}} </td>
      </ng-container>
  
      <ng-container matColumnDef="b">
        <th mat-header-cell *matHeaderCellDef> อีเมล </th>
        <td mat-cell *matCellDef="let row"> {{row.email_id}} </td>
      </ng-container>
  
      <ng-container matColumnDef="c">
        <th mat-header-cell *matHeaderCellDef> ID Line </th>
        <td mat-cell *matCellDef="let row"> {{row.id_line}} </td>
      </ng-container>
  
      <ng-container matColumnDef="d">
          <th mat-header-cell *matHeaderCellDef> รายการที่ประกาศ </th>
          <td mat-cell *matCellDef="let row">  {{row.countPro}} รายการ</td>
        </ng-container>

      <ng-container matColumnDef="e">
        <th mat-header-cell *matHeaderCellDef> ดูข้อมูลสมาชิก </th>
        <td mat-cell *matCellDef="let row">
  
          <button mat-raised-button [routerLink]="['/admin/admin/memberdetail' ,row.email_id ]"
            style="background: #1d6a96 ; color: snow; "><i class="material-icons">
                search
            </i> เข้าดู</button>
  
        </td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  
    <mat-paginator [pageSizeOptions]="[ 10, 20 ,50 ]" showFirstLastButtons></mat-paginator>
  </div>
  